function [w,err]=adaline_train(x,y,caseweights,method, ...
         alpha,seconds,iterations,maxno,adaptive,linesearch,conj);
%
%  [w,err]=adaline_train(x,y,caseweights,method, ...
%          alpha,seconds,iterations,maxno,adaptive,linesearch,conj);
%

%  w = [1 2 3]';
%  ytarget = [1 1]';caseweights = [0.5 1]';x = [1 2 3;4 5 6];
%  w = gradient_optimize('adaline_eval',w,[],[],0.1,5, ...
%                        inf,inf,1,1,1,x,ytarget,caseweights);
%
%  [x,f] = gradient_optimize(funstr, x0, ...
%      alpha, seconds, iterations, maxno, adaptive, linesearch, conj, ...
%      funparams ... );


warning off;
options=optimset('fminsearch');options.Display='off'; % Stops it from complaining if it runs out of iterations
w = fminsearch(@(w) adaline_eval(w,x,y,caseweights),rand(1,size(x,2)),options);
warning on;

if nargout>1,
  err = adaline_eval(w,x,y,caseweights);
end;

return;