function [a,ii] = closest_number(protos,num,warn_nonmatch);
% 
% [a,ii] = closest_number(protos,num,warn_nonmatch);
%
% Finds the number in the set protos, that is closest to num
% 


if nargin<3, warn_nonmatch=0; end;

[a,ii] = min(abs(protos-num)); 
        
if warn_nonmatch & proto(ii)~=num, fprintf('closest number is not an exact match\n');end;
if warn_nonmatch & length(ii)>1, fprintf('closest_number: found multiple matches that were the closest\n');end;
        
ii=ii(1);
a = protos(ii);

return;
