


warning off;

corr = corrmat2([dtrain;dtest],[ytrain;ytest]);

for dim=1:size(dtrain,2),
  [f(dim),r(dim),meanerr(dim),num(dim),den(dim),p(dim)] = f_statf([dtrain(:,dim);dtest(:,dim)],[ytrain;ytest],1,1);
  ranksump(dim) = ranksum([dtrain(:,dim);dtest(:,dim)],[ytrain;ytest],0.9);
  signtestp(dim) = signtest([dtrain(:,dim);dtest(:,dim)],[ytrain;ytest],0.9);
  signrankp(dim) = signrank([dtrain(:,dim);dtest(:,dim)],[ytrain;ytest],0.9);
  fprintf('.');
end;

[a,i] = sort(corr);for ii=1:20,fprintf('%f\t',corr(i(ii)));disp(dstr(i(ii),:));end;

% Sign test: 
% 
% Paired test, one distribution higher than another?
% If two paired groups come from the same distribution, then there will be as many differences above 
% zero as below zero. Difference each observation to produce a sign. Count the number of positive signs, 
% and negative. Consult a binomial test.
% This test does not take into account the magnitude of the difference between the two groups.
%
% 
% Wilcoxon rank sum test: 
% Independent sample test: 
% Combine samples and assign ranks. Sum the resulting rank numbers for sample1 and sample2. Under the null
% hypothesis, the sum for both should be about the same.
% 

% Wilcoxon Signed rank test
%
% Paired test: one distribution higher than another, when we take into consideration magnitude? 
% Rank observations in a, and produce separate ranks for b.
% Produce signed ranks, by assigning a sign to each rank as > or < (+1 or -1)
% add the positive and negative ranks. Under null hypothesis, we would expect the sum to come out 
% close to 0
% Here we're testing whether the two groups are higher than the other, and the magnitude - to pass this test, 
% we cant' have any 


