function yest = correlation_weighted(zscorea,zscoreb,caseweights_var);
% yest = correlation_weighted(x,y,caseweights);
% x and y are both vertical vectors
% 

caseweights_var = caseweights_var./sum(caseweights_var); % ensure that they sum to 1

    zscoreamean = sum(caseweights_var.*zscorea);
    zscorebmean = sum(caseweights_var.*zscoreb);
    yest = sum(caseweights_var.*(zscorea-zscoreamean).*(zscoreb-zscorebmean)) ./ ...
           sqrt(sum(caseweights_var.*(zscorea-zscoreamean).^2,1).*sum(caseweights_var.*(zscoreb-zscorebmean).^2,1));

return;