function results = cumm(output,target,groups)

output = output.*(-1);
[s i] = sort(output);

ordered = target > 0;

sortout = output(i);
ord = ordered(i);
tag = target(i);
tothits = sum(ordered);
totships = sum(tag);

results = [];
egs = length(output);
c=0;
for n=round(egs/groups):round(egs/groups):egs
	c = c+1;
	p = 100*n/egs;
	hits = sum(ord(1:n));
	random = c*tothits/groups;	
	threshold = -1 * sortout(n);
	response = 100 * hits / n;
	results = [results; [p hits random response threshold] ];
end


egs = length(ordered);
realpos = sum(ordered);
realneg = sum(ordered == 0);
percent = results(:,1)/100;

guesspos = percent .* egs;
TP = results(:,2);
FP = guesspos - TP;

guessneg = egs - guesspos;
TN = realneg - FP;
FN = guessneg - TN;
Check = TP + FP + TN + FN;


acc = 100*(TP + TN)/egs;
results = [results acc];


%plot(results(:,1),results(:,2))
%hold on
%plot(results(:,1),results(:,3))
%grid
%hold off


results = results(:,[1 4 2 3]);