function graph_btree(id,idlist,posy,posx,down,across,dec_delta);
%
% graph_btree(id,idlist,posy,posx,down,across);
%

% across = across + dec_delta;

remaining = setdiff(idlist,id);

% graph this node
plot(posx,posy,'o');hold on;
text(posx,posy,num2str(id));

% graph left child
if ismember(id.*2,remaining),
  remaining = setdiff(remaining,id.*2);
  graph_btree(id.*2,remaining,posy-down,  ... 
              posx-across,down,across./2-dec_delta,dec_delta);
  line([posx posx-across],[posy posy-down]);
end;

% graph right child
if ismember(id.*2+1,remaining),
  remaining = setdiff(remaining,id.*2+1);
  graph_btree(id.*2+1,remaining,posy-down, ...
                posx+across,down,across./2-dec_delta,dec_delta);
  line([posx posx+across],[posy posy-down]);
end;
 
return
