function graph_unordered_btree(currentnode,node,edge,posy,posx,down,across,dec_delta,maxdown);
%
% graph_unordered_btree(currentnode,node,edge,posy,posx,down,across,maxdown);
%

% ERROR CATCHING NEEDS TO BE IMPLEMENTED.
% if parent x and child x then this will loop forever

% across = across + dec_delta;
% remaining = setdiff(idlist,id);


% graph this node
% ---------------

%plot(posx,posy,'o');hold on;
hold on;text(posx,posy,num2str(currentnode),'fontsize',16);

% Find all children
% -----------------

child = find(edge(:,1)==currentnode); % these are two entries for the
% children of this node

if isempty(child),
   return
end;
if down==maxdown,
   return
end;

node = setdiff(node,currentnode)'; % beware, setdiff always outputs a 
% horizontal vector result, even if the incoming data is column

% Graph children
% ---------------
% We could turn this into a general branching graph by adding a 
% for loop here and going from - dec to pos

% graph left child
graph_unordered_btree(edge(child(1),2),node,edge,posy-down,  ... 
  posx-across,down,across./2-dec_delta,dec_delta,maxdown);
line([posx posx-across],[posy posy-down]);
if size(edge,2)==3,
  text([posx+posx-across]./2,[posy+posy-down]./2,num2str(edge(child(1),3)));
end;

% graph right child
graph_unordered_btree(edge(child(2),2),node,edge,posy-down, ...
  posx+across,down,across./2-dec_delta,dec_delta,maxdown);
line([posx posx+across],[posy posy-down]);
if size(edge,2)==3,
  text([posx+posx+across]./2,[posy+posy-down]./2,num2str(edge(child(2),3)));
end;

return
