function graph_unordered_btree_wrapper(currentnode,node,edge,nodestr,down,across,gap,levels);
%
% graph_btree_wrapper(head,node,edge,nodestr,down,across,gap,levels);
%
% EXAMPLE
%
% % Agglomerative cluster on random distance matrix
% sz = 5;method=5;merges=[];
% dist=round(rand(sz,sz).*sz);dist = triu(dist)+triu(dist)';
% dist=dist-diag(diag(dist));dist,
% [node,edge,similarity] = agglomerative_cluster(dist,method,merges);
% graph_unordered_btree_wrapper(head(1),node,[edge similarity],[],1,1,0.1,4);
%
% SEE ALSO
% 
% graph_btree_wrapper(head,node,edge,nodestr,down,across,gap,levels);

%
% TODO: work out the maths to automatically adjust gap
% and across so that at bottom level we have unit with gaps
%

if isempty(node),
  node = unique([edge(:,1);edge(:,2)]);
end;

figure(1);clf; axis off;
if max(size(currentnode))>1,
   fprintf('Warning: There seems to be more head values than 1. Call graph_unordered_btree_wrapper on each of these heads\n');
   % Note: I could do this here. Except I'd have to work out spacing for 
   % the different nodes
end;

graph_unordered_btree2(currentnode(1,1),node,edge,nodestr,0,0,down,across,gap,levels);
% posy = 0, posx = 0;

