function yest = knn(x,c,cy,lookupscheme);
%
% function yest = knn(x,c,cy,lookupscheme);
%
% lookupscheme=1, nearest neighbour y value
%             =2, combination of all y values weighted by distance
% 

%for i=1:size(x,1),
 % disp(num2str(i));

  if lookupscheme==1, % use closest cluster's category value
    % determine which centroid is closest to x
    
    mini=find_closest2(x,c);
    
    if 0,
    mindist = norm(x(i,:)-c(1,:));
    mini = 1;
    for cid=2:size(c,1),
      d = norm(x(i,:)-c(cid,:));
      if d<mindist,
        mindist=d;
        mini=cid;
      end;
    end;
 end;
 
    % now we have the closest to x. Use the exact cy for this closest
    % centroid
    yest = cy(mini,:);

  else 
    % use combination of all cluster category vals weighted by distance
    % distance matrix
    for cid=1:size(c,1),
      distmat(cid,1) = norm(x(i,:)-c(cid,:));
    end;
    totaldist = sum(distmat);
    yest(i,:) = (distmat./totaldist)' * cy;
  end;

  % next x row
%end; 
