function w = logistic_train(xtrain,ytrain);
%
% w = logistic_train(x,y);
% yest = logistic_eval(w,x);
% 
% %%%% EXAMPLE 1
% x = rand(1000,2);y=x(:,1)./2;
% w = logistic_train(x,y);
% figure(1);clf;plot(x(:,1),logistic_eval(w,x),'.');
% hold on;plot(x(:,1),y,'r.');legend('forecast','actual');
% 
% %%%% EXAMPLE 2
% x = [-2:0.01:2]';y=sigmoid(x); y = y+randn(size(y)).*0.1;figure(1);clf;plot(x,y);
% w=logistic_train(x,y);yest=logistic_eval(w,x);
% figure(1);clf;plot(x,y,'r.');hold on;plot(x,yest,'b.');
%
% %%%% EXAMPLE 3
% x = [-1:0.01:1]';y=gaussianf(x+0.9,0.2)./3;y = y+randn(size(y)).*0.1;figure(1);clf;plot(x,y);
% w=logistic_train(x,y);yest=logistic_eval(w,x);
% figure(1);clf;plot(x,y,'r.');hold on;plot(x,yest,'b.');
% 
% 

options=foptions;
options(1)=0;
options(2)=eps;
options(3)=eps;

    w = rand(size(xtrain,2)+1,1)-0.5;
    w = fmins('logistic_error', w, options,[], xtrain,ytrain);
return;
