function [bestc,bestcc,bestcy,mini] = macqueen(x,y);
% [bestc,bestc,bestcy,mini] = macqueen(x,number_of_clusters);
% This handles TWO centroids only. Its designed to be used by
% binary_cluster.
% We could build a more general version.
% Tries every combination of case1,case2 to find a two-centroid
% break-up for the input space.
% Advantage is it always picks an input case. Disadvantage is,
% its slow (comb1*comb2*..), and may not pick good centroids

% generate every combination of case1,case2
% [1:size(x,1)]'

bestdiff = inf;
bestc = x(1:2,:);
bestcy = y(1:2,:);
bestmini = nan;
cases = [1;2];
   
for i1=1:size(x,1),
   for i2=1:size(x,1),
      if i1<i2,
         c = [x(i1,:);x(i2,:)];
         mini=find_closest2(x,c);
         cover = [size(find(mini==1),1);size(find(mini==2),1)];
         covervar = abs(cover(1)-cover(2));
         if covervar<bestdiff,
            bestdiff = covervar;
            bestc = c;
            cases = [i1;i2];
         end;
      end;
   end;
end;


  bestcy = [y(cases(1),:);y(cases(2),:)];
  bestmini = find_closest(x,bestc);
  bestcc=bestc;