function yest = metreo_hierarchy_eval(varlist,x,y,valtree,missing_val,varlist,useList);


  % use the useList
  remaining = [1:size(x,1)]';
  for level=1:length(varlist), % walk up the levels, starting at the first level
    dim = varlist(level);
    % condition by this dimension
    u=unique(useList(1:novals(dim),dim));
    u=setdiff(u,missing_val); % get rid of missing_vals, these are the things that were deleted
    for val=1:length(u),
      i=find(x(remaining,dim)==u(val));
      if ~isempty(i), 
        yest = mean(y(remaining(i)));
        remaining = remove_ids(remaining,i);
      end;
    end;
  end;
  

