function [yest,prob,probdist] = ...
          nb_eval(x,valtree,cattree,missing_val,prob_xval_given_yval,yprior);
%       
% [yest,prob,probdist] = ...
%  nb_eval(x,valtree,cattree,missing_val,prob_xval_given_yval,yprior);
%

priorless=0;

x2 = data2valtree_index(x,valtree,missing_val);
no_catvals = size(cattree,1)-1;

prob_class=ones(size(x,1),no_catvals);
for xdim=1:size(x,2), % foreach dim
   prob_class = prob_class .* squeeze(prob_xval_given_yval(xdim,x2(:,xdim),1:no_catvals));
end;

if priorless==0, prob_class = prob_class .* (ones(size(x,1),1)*yprior'); end;
probdist(:,1:no_catvals) = prob_class ./ (sum(prob_class')' * ones(1,size(prob_class,2))+eps);
% choose the highest probability
[prob,yval] = max(probdist');
prob=prob';yval=yval';
yest = cattree(yval,1);
