
function [err,yest] = sigmoid_err(w,pos,x,y,caseweights);
% [err,yest] = sigmoid_err(w,pos,x,y,caseweights);
% alpha = w(1);
% scale = w(2);
% pos = 0 indicates that min value is 0; otherwise min value is
% -scale..scale

alpha = w(1);
scale = w(2);
xshift = w(3);

yest = sigmoid2(x,alpha,scale,xshift,pos);

err = mean(((yest-y).*caseweights).^2);
% was err = mean((yest-y).^2.*caseweights);

