function [t,t2,df,df2] = ttest_paired(x,y);

N = size(x,1);

meanx = mean(x);
meany = mean(y);
varx  = var(x);
vary  = var(y);

covxy = sum(x.*y - sum(x).*sum(y)./N) ./ (N-1);

diff = meanx - meany;

stderr_of_diff = sqrt( (varx + vary - 2.*covxy)./N );

t = diff ./ stderr_of_diff;

df = N-1;

r = covxy ./ (sqrt(varx) .* sqrt(vary));


t2 = r.*sqrt( (N-2) ./ (1-r.^2) );

df2 = N-2;