function graph_quality_wrapper(xp,edge,dist,dim);

% assemble nodepos_list into node coordinates

rows = size(xp,1)./dim;
newxp = zeros(rows,dim);
for i=1:dim,
  newxp(1:rows,i) = xp( (i-1).*rows+1: i.*rows, 1);
end;

dp = dist2(newxp,newxp);
s = stress(dist,dp);
% dp should have every connected edge of 1

% Determine number of crossings

no_intercepts = find_intercepts(edge,xp,0);

% Adjust the stress function appropriately

s = s.*no_intercepts;

return