
cov = (itemgroup'*itemgroup) ./size(itemgroup,1);
[v,d] = eig(full(cov));

diary off;
if exist('out_eigs'),delete('out_eigs');end;
diary 'out_eigs';
diary on;

k=5; % number of similar cases to report
dd=diag(d);
totalvar = sum(dd);
for i=size(v,1)-10:-1:size(v,1)-12,
   [yest,id,corr]=k_nearest_neighbour(v(:,i)',[itemgroup;-1.*itemgroup],zeros(size(itemgroup,1).*2,2),k,1);
   % determine what v is correlated with
   
   % old code which only viewed/reported a single correlation
   %corr=corrmat2(v(:,i)'',itemgroup');
   %[m,id] = max(abs(corr));
   % mult=sign(corr(id(1)));
   
   % for ids which matched the negative * itemgroup, subtract
   % the size so that they point to the right item
   ii=find(id>size(itemgroup,1));
   if ~isempty(ii),id(ii) = id(ii)-size(itemgroup,1);corr(ii)=-1.*corr(ii);end;
   
   mult = sign(corr(1));
   figure(1);clf;plot(mult.*v(:,i)');title(num2str(mult.*dd(i)));
   figure(2);clf;plot(itemgroup(id(1),:));title(char(group(id(1),:)));
   fprintf('Eig %d Percent of variance %d\n',mult.*dd(i),dd(i)./totalvar);
   for ii=1:k,
      fprintf('%s\t%6.2f\n',char(group(id(ii),:)),corr(ii));
   end;
   fprintf('\n');
pause,
end;