function err = logistic_priceprofit_error(params,price,profit,caseweights);
%
% err = logistic_priceprofit_error(params,price,profit,caseweights);
%

% fmins(

cost = params(1);
qty = params(2);
b1 = params(3);
b2 = params(4);
%,qty,b1,b2] = deal(params);

actual_prof = -1 .* logistic_priceprofit_curve(price,cost,qty,[b1 b2]);

err = sum( caseweights .* (profit-actual_prof).^2 );

return;
