function meanest = estimate_mean_in_new_region(data,kernel_stdevs,newpos);
%
%function meanest = estimate_mean_in_new_region(data,kernel_stdevs,newpos);
%

% find mean of present distribution, using only kernel_stdevs, 
% and eliminating the outliers
% an alternative is to use a distance function on the kernel distribution,
% so that we weight people closer to the center, but this is just added complexity

truemeandata = mean(data);

% calc mean distance from data to mean, this is just like the stdev,
% except its over all dimensions

dist_from_mean = distance(data,ones(size(data,1),1)*truemeandata);
meandist = mean(dist_from_mean);

% calc the reduced mean
samplemean = find(dist_from_mean<