function [newseries,outliers] = filter_outliers(series,multiple);
% newseries = filter_outliers(series,multiples_of_stdev);

newseries = series;
outliers  = zeros(size(series));
%outlier   = zeros(1,size(series,2));
for i=1:size(series,1),
  outlier = find(abs(series(i,:)) > multiple.*std(series(i,:)'));
  %outlier = find(series(i,:)>-Inf);
  % use this if we just want a mean
  newseries(i,outlier) = ones(size(outlier)) .* mean(series(i,:)');
  outliers(i,outlier) = series(i,outlier);
end;
