
load Nasdaq_open_high_low_close.txt;
n=Nasdaq_open_high_low_close.txt;
n=flipud(n);
nn=n(:,1);

date=string_load('Nasdaq_dates.txt');
date=char(date(1:size(date,1)-1,:));
date=flipud(date);

figure(1);plot(n(:,1));
set(gca,'xtick',[1:700:size(date,1)]');set(gca,'xticklabel',date(1:700:size(date,1),:));
% show the timeseries

% Detrend with cubic polynomial
deg=3;figure(2);clf;plot(nn);hold on;
pause off;[v,deg,crit]=stepwize([1:size(nn,1)]',nn,1,0.01,3);
%w=polyfitf([1:size(nn,1)]',nn,deg);
yest=polyff(w,deg,[1:size(nn,1)]');
plot([1:size(nn,1)]',yest,'r-');
% fit a polynomial to the timeseries

% Detrend from cubic polynomial
diff=nn-yest;

% Show the detrended series
figure(2);clf;plot(diff);
title('Nasdaq detrended');set(gca,'xtick',[0:200:size(diff,1)]');set(gca,'fontsize',10);set(gca,'xticklabel',num2str([0:200:size(diff,1)]'./100));xlabel('Days (in hundreds)');ylabel('points above/below Nasdaq trend');

% Look for autocorrelation
figure(3);clf;dispfourier(diff');





