
function [sim] = ...
          timesim(time1,time2,width,maxtime);

% [sim] = timesim(time1,time2,width);
% 
% % Show an example
% figure(1);clf;plot([0:6]',timesim([0:6]',3,1,6),'-')
%
% % Generate an time similarity matrix
% timemat = [];for i=0:6,timemat(:,i+1)=timesim([0:6]',i,3,6);end;
      % figure(1);surf(timemat);colormap(pink)
      %
      % % Extract the time matrix into a relational format
%timesimrel=[];for i=1:size(timemat,1),for j=1:size(timemat,2),timesimrel = [timesimrel;i-1 j-1 timemat(i,j)];end;end;
%timesimrel(1:10,:)
%
% % Output to file
% fid=fopen('c:\b\timesim.txt','w');for ii=1:size(timesimrel,1),fprintf(fid,'%d\t%d\t%f\n',timesimrel(ii,1),timesimrel(ii,2),timesimrel(ii,3));end;fclose(fid);



      simtmp=[];
      time1orig = time1;
      for i=1:3,
          
      if i==1, time1 = time1orig; elseif i==2, time1 = time1orig+maxtime; elseif i==3, time1=time1orig-maxtime;end; 

      diff = time1-time2;
      absdiff = abs(diff);
      
      x = diff;
      
      simtmp(:,i) = ( 1./ (width .* sqrt(2.*pi)) ) .* exp((-x.^2)./(2.*width.^2));
      
      end;
      
      sim = max(simtmp')';
      
      sim = sim./sum(sim); % sum to 1
      
      
      