function dat = bcpload(sql_str,filestr,commentstr,servername,username,password,stringdata);
% 
% dat = bcpload(sql_str,filestr,commentstr,servername,username,password,stringdata);
% 
% Uses BCP to extract data from a SQLServer database
% If stringdata==1, then load the data as a string
% 
 
 
  if nargin<3, commentstr = ''; end;
  if nargin<2, fprintf('**** ERROR bcpload requires a target file\n'); return; end;
  if nargin<7, stringdata=0; end;
  
  delete(filestr);
  fprintf('bcping %s\n',commentstr);
%  try, 
  
    sql_str = ['SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED  ' sql_str];     
    st = sprintf('! bcp "%s" queryout %s -c -S%s -U%s -P%s\n',sql_str,filestr,servername,username,password);
    fprintf('%s',st);
    eval(st);
    if stringdata,
      inp = string_load(filestr);
      dat = [];
      for i=1:size(inp,1)-1, % -1 - the last element is a carraige return
        dat{length(dat)+1} = deblank(char(inp(i,:)));
      end;
    else
      dat = load(filestr);
    end;
%  catch
%    fprintf('Error in bcpload\n');
%    dat = [];
%  end;
  
return;