function corr = correlation(x,y);

if ~isempty(find(x==-9999 | y==-9999)), fprintf('\nWARNING: ** Could be mislabelled missing values in correlation ** \n');end;
jj=find(~isnan(x) & ~isnan(y) & ~isinf(x) & ~isinf(y));
x=x(jj)-mean(x(jj));
y=y(jj)-mean(y(jj));

corr = (x'*y)/(norm(x)*norm(y));
if isnan(corr),corr=0;end;

