function out = data_write_xml(dat,y,nodestr);

fprintf('<?xml version="1.0" standalone="yes"?><AnalysisNotebook>\n');
fprintf('<Variables><TypeVariables><Variable name="Type0 continuous" type="continuous"><Range low="-Infinity" high="Infinity"/></Variable></TypeVariables>\n');

for i=1:size(dat,2),
  fprintf('<Variable name="%s" typeVariable="Type0 continuous"></Variable>\n',deblank(nodestr(i,:)));
end;
fprintf('<Variable name="Conversion" type="categorical"><State index="0" name="0"/><State index="1" name="1"/></Variable>\n');
fprintf('</Variables>\n');

fprintf('<Data source="File: D:\\AdcenterDevPS\\target\\retail\\i386\\dt09w1sql.txt">\n');
fprintf('<Columns>\n');
for i=1:size(dat,2),
  fprintf('<Column name="%s" index="%d" default="?"/>\n',deblank(nodestr(i,:)),i-1);
end;
fprintf('<Column name="Conversion" index="%d" default="0" nullState="?"/>\n',size(dat,2));
fprintf('</Columns><Fields>index,value;</Fields><Cases count="%d">\n',size(dat,1));

for i=1:size(dat,1),

  fprintf('<D>');
  fprintf('%f,',dat(i,:));
  fprintf('%d;</D>\n',y(i,1)); % round should be replaced

end;

fprintf('</Cases></Data></AnalysisNotebook>\n');
