function [err,yest] = exp_adverr(a,x,y,w);
% [err,yest] = exp_adverr(a,x,y,w);
%
% yest = a(1).*(1-1./exp(a(2).*x));
%

if nargin<4, w=ones(size(x));end;
if length(a)==1, a(2) = 0.0001; end; % was 0.001
if size(a,1)>1 && size(a,2)==1, a=a'; end;
if size(a,2)>1, a(1,2:length(a)) = (a(1,2:length(a)));end; % convert to something else


%r=[0:1:800];figure(2);clf;plot(r,5.*(1-1./exp(1.*r)),'-');
%keyboard
%yest = a(1).*(1-1./exp( sum( ones(size(x,1),1) * a(1,2:length(a)) .* x)));
yest = a(1).*(1-1./exp( sum( ( ones(size(x,1),1) * a(1,2:length(a)) .* x)',1)'));

%keyboard;
err = mean(abs(w.*(yest - y)));

% My attempts to restrict the range..
%if a(2)<0.001, err = inf;end;
%if a(2)>0.008, err = inf;end;

%err = err+abs(a(2)).*mean(y).*10000;

%1-1/(exp(a(2)*1000)
% by approximately exp(4) we will be at 2% remaining...
% therefore, a(2) must be between 0.008 at 500 there is 2% left, 
% 0.004 at 1000 there is 2% remaining to asymptope
% 0.002 at 2000 there is 2% remaining
% 0.001 at 4000 there is 2% remaining


% asave = [  491.0000 ; 0.0010]

return;



