function graph_unordered_btree(currentnode,node,edge,nodestr,posy,posx,down,across,dec_delta,maxdown);
%
% graph_unordered_btree(currentnode,node,edge,nodestr,posy,posx,down,across,maxdown);
%

% Expensive to keep passing large matrices to the child functions. If 
% we could create globals, would be better

% ERROR CATCHING NEEDS TO BE IMPLEMENTED.
% if parent x and child x then this will loop forever

% across = across + dec_delta;
% remaining = setdiff(idlist,id);


% graph this node
% ---------------

%plot(posx,posy,'o');hold on;
hold on;
if isempty(nodestr) | currentnode>size(nodestr,1),
   % if currentnode>size(nodestr,1) then it could be an agglomerated value
   text(posx,posy,num2str(currentnode),'fontsize',16);
   fprintf('%d\n',currentnode);
else
   % nodestr exists and currentnode is an index into one of the values down
   text(posx,posy,char(nodestr(currentnode,:)),'fontsize',6);
   fprintf('%s\n',char(nodestr(currentnode,:)));
end;
%keyboard
% Find all children
% -----------------

child = find(edge(:,1)==currentnode); % these are two entries for the
% children of this node

if isempty(child),
   return
end;
if down==maxdown,
   return
end;

node = setdiff(node,currentnode)'; % beware, setdiff always outputs a 
% horizontal vector result, even if the incoming data is column

% Graph children
% ---------------
% We could turn this into a general branching graph by adding a 
% for loop here and going from - dec to pos

for i=1:size(child,1),
   % graph left child
  childxpos = i-ceil(size(child,1)./2)-0.5;
  graph_unordered_btree2(edge(child(i),2),node,edge,nodestr,posy-down,  ... 
  posx+childxpos,down,across./2-dec_delta,dec_delta,maxdown);
  line([posx posx+childxpos],[posy posy-down]);
  if size(edge,2)==3,
    text([posx+posx+childxpos]./2,[posy+posy-down]./2,num2str(edge(child(i),3)));
  end;
end;

if 0,
% graph right child
graph_unordered_btree2(edge(child(2),2),node,edge,nodestr,posy-down, ...
  posx+across,down,across./2-dec_delta,dec_delta,maxdown);
line([posx posx+across],[posy posy-down]);
if size(edge,2)==3,
  text([posx+posx+across]./2,[posy+posy-down]./2,num2str(edge(child(2),3)));
end;
end;

return
