function yest = linear_reg_eval(x,w);
%
% function yest = linear_reg_eval(x,w);
%

xm = ((ones(size(x,1),1) * w) .* [x ones(size(x,1),1)] );
yest = sum(xm')'; 


% this sums each row, eg. x = [x1 x2 x3 x4; ...]
% xm = [w1x1 w2x2 w3x3 w4x4 c.*1; ...]
% yest = sum the w1x1 w2x2 w3x3 w4x4 c group
%        sum the next row, 
%        and so on. Then flip the results so that
%        they travel down the page


