function med = median_missing(dat,missing_val);
% 
% med = median_missing(dat,missing_val);
% 
% SEE ALSO
% 
% mean_missing, std_missing, etc

med = zeros(1,size(dat,2));
for dim=1:size(dat,2),
  if isnan(missing_val),
    i = find(~isnan(dat(:,dim)));
  else
    i = find(dat(:,dim)~=missing_val);
  end;
  if ~isempty(i),
    med(1,dim) = median(dat(i,dim));
  else 
    med(1,dim) = missing_val;
  end;
end;

