function [m,mini] = min_missing(data,missing_val);
%function [m,i] = min_missing(data,missing_val);
% data must have rows on horizontals and columns on verticals
% 

m    = zeros(1,size(data,2));
mini = m;

for i=1:size(data,2),
  if isnan(missing_val),
    jj = find(~isnan(data(:,i)));
  else
    jj=find(data(:,i)~=missing_val);
  end;
  if ~isempty(jj), 
    [m(1,i),id] = min(data(jj,i)); 
    mini(1,i) = jj(id);
  else
    m(1,i) = nan;
  end;
end;

