function [c,mini] = post_cluster_mean(c,x,mini);

if nargin==2, 
   % no mini supplied,
   [mini,dist] = find_closest2(x,c);
end;

for cid=1:size(c,1),
   % find all minis which belong to this clust.
   xset = find(mini==cid);
   c(cid,:) = mean(x(xset,:));
end;

% recalc mini
[mini,dist] = find_closest2(x,c);
