function yest = rbf_eval(x,c,w,width);
%
% function yest = rbf_eval(x,c,w,width);
%

  % now calc dist to each centroid and put through nonlinear function
  % -----------------------------------------------------------------

  number_of_centroids = size(c,1);

  activ = zeros(size(x,1),number_of_centroids);
  for i=1:size(x,1),
    for cid=1:number_of_centroids,
      d = norm(x(i,:)-c(cid,:));
      activ(i,cid) = exp( -1 .* (d*d) / width );
                   % exp( -1* ((r*r)/(width)) ));
    end;
  end;
  
  % perform the mapping for x, to give a training result
  
  yest = activ * w;

return

