function [var,varargout] = samplerows(var,percent,varargin);
%
% [var,varargout] = samplerows(var,percent,varargin);
%

rows = round(size(var,1).*percent);
fprintf('sample size %d\n',rows);

fprintf('converting...\n');
tic,
[a,i]=sort(rand(size(var,1),1));sample = i(1:rows);

var = var(i,:);

if nargin>2,
  for v=1:nargin-2,
    nuh=varargin{v};
    varargout{v}=nuh(i,:);
  end;
end;
fprintf('%d seconds elapsed time to reduce rows\n',round(toc));
return