function y = sigmoid2(x,alpha,scale,xshift,pos);
% y = sigmoid2(x,alpha,scale,xshift,pos);
% 
% alpha == steepness of slope
% scale == maximum amplitude
% pos == 0..scale; -1 -scale..scale
% xshift == center of sigmoid (0 by default)
% 
% For x=0..Inf returns 0..1
% For x=-Inf..0 returns -1..0
%
%if pos==0, 
%  y = scale .* (1+-1./(1+exp(alpha.*(x-xshift))));
%else
%  y = scale .* (1+-2./(1+exp(alpha.*(x-xshift))));
%end;

if nargin<4, xshift = 0;end;
if nargin<5, pos=-1; end;

if pos==0, 
  y = scale .* (1+-1./(1+exp(alpha.*(x-xshift))));
%  y = scale .* (2+-2./(1+exp(alpha.*(x-xshift))));
else
  y = scale .* (1+-2./(1+exp(alpha.*(x-xshift))));
end;



