
function [err,yest] = sigmoid_err01(w,pos,x,y,caseweights);
% [err,yest] = sigmoid_err(w,pos,x,y,caseweights);
% alpha = w(1);
% scale = w(2);
% pos = 0 indicates that min value is 0; otherwise min value is
% -scale..scale

alpha = w(1);
scale = w(2);
xshift = w(3);

yest = sigmoid2(x,alpha,scale,xshift,pos);

scalepenalty = 1; 
if scale>1 | scale<-1, scalepenalty = abs(scale); end; % this forces it to have max scale of 1
% this would also allow scales of -1..1 to work (ie. -1 scales) 

if scale<0, scalepenalty = 1+abs(scale); end; % this forces scale to be 0..1

err = mean(((yest-y).*caseweights).^2) .* (scalepenalty.^2);
% was err = mean((yest-y).^2.*caseweights);

%keyboard;
