% TSA Toolbox 
% Time Series Analysis 
% Version 1.70
% 29.11.96
% Copyright  by Alois Schloegl
% Please send Your remarks and suggestions to 
% a.schloegl@ieee.org
%
%
% Time series analysis
%   acovf       Autocovariance function
%   acorf (acf) autocorrelation function	
%   acf2pacf    converts autocorrelation fct to Partial-ACF
%   biacovf	biautocovariance function (3rd order cumulant)
%   pacf        partial autocorrelation function
%   yuwa        solves Yule-Walker equation - converts ACOVF into AR parameters
%   invest0	a prior investigation (used by invest1)
%   invest1     investigates signal (useful for 1st evaluation of the data)
%   selmo	Select Order of Autoregressive model using different criteria
%   eigval	Calc. Eigenvalues of Autocovariance matrix	
%
% Estimating Autoregressive model
%   earpyw	- Yule-Walker (with Levinson-Durban algorithm)
%   earpk	- Kalman filtering method
%   earplms	- LMS method
%
% Utility functions
%   sinvest1	shows the parameter calculated by INVEST1
%
% Demo
%   tsademo	demonstrates INVEST1 on EEG data
