function dependent = create_dependent(series,ahead);

if nargin==1,
for i=8:size(series,2),
  dependent(:,i) = sum( series(:,i-7:i-1)' )';
end;
dependent = [dependent(:,8:size(series,2)) zeros(size(dependent,1),7) ];
% shifts it backwards in time so that at time 1 (prediction date), it has
% the sum for time 1..7

else % specifying the number of days in rolling sum
   
  for i=ahead+1:size(series,2),
    dependent(:,i) = sum( series(:,i-ahead:i-1)' )';
  end;
  dependent = [dependent(:,ahead+1:size(series,2)) zeros(size(dependent,1),ahead) ];
  
end;

   