function [start,d] = difference(series,diffinterval);

% Recursive solution:
% [start,d] = difference(series,no_diffs)
% start = series(:,1);
% d = series(:,2:size(series,2))-series(:,1:size(series,2)-1);
% if no_diff>1,
%   [start_rest,d] = difference(series,no_diffs-1);
%   start = [start start_rest];
%   % d is correct
% end;
% return

if 0,
start = series(:,1);
d = series(:,2:size(series,2)) - series(:,1:size(series,2)-1);

if 2.*diffinterval>size(series,2),
  disp('cant difference, interval too large for series');
  return;
end;
end;

if diffinterval>size(series,2)-1,
   disp(' ');
   disp('can''t apply difference this many times to the series');
   disp(['series is of size across ' num2str(size(series,2)) ' and there were' ...
         num2str(diffinterval) ' requested differences']);
   disp(' ');
   keyboard
end;

%if 0, % NEW
d = series;
for i=1:diffinterval,
  start(:,i) = d(:,1);
  d = d(:,2:size(d,2))-d(:,1:size(d,2)-1); 
end;
%end;

if 0,
% This was how it was before
for i=1:diffinterval,
  start(:,i) = series(:,i); 
  % remember the first i of the initial set
  % the initial set will be lost after differencing

  d(:,i:diffinterval:size(series,2)-diffinterval) = ...
  series(:,i+diffinterval:diffinterval:size(series,2)) - ...
  series(:,i:diffinterval:size(series,2)-diffinterval);

% a differenced series of 2 means that differencing is applied twice?
% or not..? Here we're using 

  % d should be shortened by exactly diffinterval
end;
end;
