function z = dispseries(series,maxdown,maxy,reduction);
% dispseries(series,maxdown,maxy,points)
% maxdown
% maxy is maximum y on axis
% example
% figure(5);dispseries(wi,1:5,5,50)
%

  points = size(series,2) * reduction;

  clf;
  dseries = ones(1,points);
  for j=1:maxdown,
    subplot(maxdown,1,j);
    old=dseries;

    if points==1,
      % no fourier
    else
      dseries = interpft(series(j,:),points);
    end;

    plot(1:points,dseries(1,:),'c-');
    axis([0 points 0 maxy]);

    z(j,1)=(dseries*old') / (norm(dseries) * norm(old));
  end;


