function [traindep] = get_train_dep(key,timecol,series,num);
% [key,dep] = find_dependents(key,series,num)
% returns a dep exactly corresponding to row in training
% num is the number of training rows to create
% find those series, count 90 ahead. get dep val

% select num random vectors from the series

id = ceil(rand(num,1) .* (size(series,1)-1));
% these are the training sample

% try to move ahead 90 days, and check that the key is the same

j=1; % j is the count on the final traindep vector
traindep=[];
% find the depid (which is ahead of id)
for i=1:size(id,1),
     disp(['i ' num2str(i)]);
     % search ahead
     for ii=id(i,1):size(series,1),
      if timecol(ii,1) > timecol(id(i,1),1)+90,
         % we've passed it so break
         break;
      end;
      if timecol(ii,1)==timecol(id(i,1),1)+90 & ...
            key(ii,1)==key(id(i,1)),
         % we've found the record
         traindep(j,:) = [series(id(i,1),:) series(ii,:)];
         j=j+1;
         disp('should break');
         break;
      end; 
   end; % search ahead
end;


   
      
%dep = training
