function hilowfit(series,training_window,testrange,days,delay,decimation);
% hilowfit(series,training_window,testrange,days,delay,decimation);
%

if testrange(1,size(testrange,2))+delay+days+1 > size(series,2),
   testrange = testrange(1,1):size(series,2)-(delay+days+1);
end;

trainingrange = testrange(1,1)-training_window : testrange(1,1)-1;
trainingseries = series(:,trainingrange);

fit = zeros(size(series));

for i=1:size(series,1),

  if series(i,trainingrange) == zeros(1,size(trainingrange,2)),
    disp('no data in trainingrange');
  else
   
  freqs_tozero1 = ceil(decimation .* size(trainingseries,2)/2);
  nyquist1 = ceil(size(trainingseries,2)/2);
   
   freqseries1 = fft(trainingseries(i,:));
   freqseries1(1,nyquist1 - freqs_tozero1 : nyquist1 + freqs_tozero1) = ... 
      zeros(1,freqs_tozero1.*2+1);
   
   seriesl1 = real(ifft(freqseries1));
   seriesh1 = trainingseries(i,:) - seriesl1;
   
   % fit high frequencies
   figure(1);clf;
   disp('high frequency signal');
   [fith(i,:),ah(i,:)] = fitar(seriesh1,days,delay);
   title('high frequency signal');
   
   % fit low frequencies
   disp('low frequency signal');
   figure(2);clf;
   [fitl(i,:),al(i,:)] = fitar(seriesl1,days,delay);
   title('low frequency signal');
   
%   [fitt(i,:),aa(i,:)] = fitar(series(i,:),days,delay);
   
   %keyboard
   % now we have to move through the series and apply the ah and
   % al. alternative. trainingwindow real. then we have fitl on
   % the real dat.
   
   % for the testseries, we have to split testdata to period 
   % into low and highpass
   
   
   disprange = testrange(1,1)+delay+days: ... 
               testrange(1,size(testrange,2))+delay+days;

   for p=disprange,
      %  keyboard
      
      % clear seriesl;
      % clear seriesh;
      % freqseries = fft(series(i,p-training_window-delay:p-1)); 

      freqseries = fft(series(i,p-training_window-delay:p-1-delay)); 

      % we can split the entire series up to p
      % if we do entire series, we have to filter (compose it of) only
      % those frequencies that we saw in the training set.

      nyquist = ceil(size(freqseries,2)/2);
      freqs_tozero = ceil(decimation .* size(freqseries,2)/2);
      freqseries(1,nyquist - freqs_tozero : nyquist + freqs_tozero) = ... 
      zeros(1,freqs_tozero.*2+1);
   
      seriesl = real(ifft(freqseries));
      seriesh = series(i,p-training_window-delay:p-1-delay) - seriesl;

      lvect = flipud(seriesl(1, ...
                             size(seriesl,2)-days+1: ...
                             size(seriesl,2))');
      hvect = flipud(seriesh(1, ...
                             size(seriesh,2)-days+1: ...
                             size(seriesh,2))');
if 0,
      lvect = flipud(seriesl(1, ...
                             p-delay-days: ...
                             p-delay-1)');
      hvect = flipud(seriesh(1, ...
                             p-delay-days: ...
                             p-delay-1)');
end;
                      
      fit(i,p) = al(i,:) * lvect + ah(i,:) * hvect;   
   end; 

   disp('combined fit');
   figure(3);clf;
   plot(disprange,series(i,disprange),'r-');hold on;
   plot(disprange,fit(i,disprange));
   title('combined fit');
   
   display_accuracy(fit(i,disprange),series(i,disprange),1);
   
end; % no data in trainingrange

accuracy_twoseries(fit(:,disprange),series(:,disprange),4);
	
end;
