
function [sim] = ...
          hoursim(hour1,hour2,width);

% [sim] = hoursim(hour1,hour2,width);
% 
% % Show an example
% figure(1);clf;plot([0:23]',hoursim([0:23]',3,1),'-')
%
% % Generate an hour similarity matrix
% hourmat = [];for i=0:23,hourmat(:,i+1)=hoursim([0:23]',i,2);end;
      % figure(1);surf(hourmat);colormap(pink)
      %
      % % Extract the hour matrix into a relational format
%hoursimrel=[];for i=1:size(hourmat,1),for j=1:size(hourmat,2),hoursimrel = [hoursimrel;i-1 j-1 hourmat(i,j)];end;end;
%hoursimrel(1:10,:)
% 
% % Output to file
% fid=fopen('c:\b\hoursim.txt','w');for ii=1:size(hoursimrel,1),fprintf(fid,'%d\t%d\t%f\n',hoursimrel(ii,1),hoursimrel(ii,2),hoursimrel(ii,3));end;fclose(fid);


      simtmp=[];
      hour1orig = hour1;
      for i=1:3,
          
      if i==1, hour1 = hour1orig; elseif i==2, hour1 = hour1orig+24; elseif i==3, hour1=hour1orig-24;end; 

      diff = hour1-hour2;
      absdiff = abs(diff);
      
      x = diff;
      
      simtmp(:,i) = ( 1./ (width .* sqrt(2.*pi)) ) .* exp((-x.^2)./(2.*width.^2));
      
      end;
      
      sim = max(simtmp')';
      
      sim = sim./sum(sim); % sum to 1
      
      
      