function m = movingavgweek(series,weeks,delay);
% function m = movingavgweek(series,weeks,delay);
%
% today is 14. Uses 8 and 1 to predict 15, (or 15+1week = 22)
% ie. uses tomorrow 1 week ago, and tomorrow 2 weeks ago, 
% to predict tomorrow 1 week hence
%
% i-delay-1 is current day
% i-delay is tomorrow 
% i is prediction day. (tomorrow 1 week hence)
%

for i=delay+(weeks.*7)+1:size(series,2),
  m(:,i) = mean( series(:,i-delay-(weeks.*7):7:i-delay-1)' )';
end;
m(:,1:delay+weeks.*7) = zeros(size(series,1),delay+weeks.*7);
