function corr = prevyear(series,reduction);

% show(series,down,reduction)

% how to use

%

% show(wi,1,0.2);

% for j=1:51,figure(2);show(wi,j,1),pause;end;

%



for down = 1:size(series,1),

   

  present = 366:500;

  past    = present - 365;



  points = 1+round(reduction * (present(1,size(present,2)) -present(1,1))); 

  % the series is 100 in size

  if points<1, disp('too few points'); return; end;



  present_series = interpft(series(down,present),points);

  past_series    = interpft(series(down,past),points);



  %no interpolation this is a check

  %present_series = series(down,present);

  %past_series = series(down,past);

  %points = 101;

  

  figure(gcf);clf;

  subplot(2,1,1);

  plot(1:points,present_series,'c-');

  v1 = axis;  



  subplot(2,1,2);

  plot(1:points,past_series,'r-');

  v2=axis;



  % set axis to whichever is largest

  v = [0 points 0 1];v(1,4) = max([v1(1,4);v2(1,4)]);

  subplot(2,1,1);axis(v);subplot(2,1,2);axis(v);

  

  present_series = present_series - mean(present_series')';

  past_series    = past_series - mean(past_series')';

  

  corr(down,1) = ( present_series * past_series' ) / ...

     (norm(present_series) * norm(past_series));

  disp([num2str(corr(down,1))]);



  %s1= series(down,present) - mean(series(down,present)');

  %s2= series(down,past)    - mean(series(down,past)');

  %z  = abs(sum( (s1.^2 - s2.^2)' ) ./ sum( (s1.^2)' ));

  

pause;

end;



return;

