function [data,m] = replace_nulls_with_mean(data,missing_val);
%
%function [data,m] = replace_nulls_with_mean(data,missing_val);
%

for dim=1:size(data,2),

  legal_vals   = find(data(:,dim)~=missing_val);
  missing_vals = find(data(:,dim)==missing_val);

  % find mean of legal (existing) vals
  m(1,dim) = mean(data(legal_vals,dim));

  % replace all missing_vals with this mean
  data(missing_vals,dim) = m(1,dim) * ones(size(missing_vals,1),1);
  % legal_vals are kept the same

end;
