function [fit,a] = varselectar(series,                   ...
                               training_window,          ...
                               initrange,                    ...
                               initdays,            ...
                               delay);
%
% function [fit,a]   = dispar(series, 
%                             training_window_size, 
%                             test_range, 
%                             days, 
%                             delay);
%
% Note that days is now a [] vector eg. [1:10], [1 2 3 10 50 100]
%


for i=1:size(series,1),


if 1,
figure(1);clf;
disp('calculating autocorrelation');
corr = autocorr1way(series(i,:));
plot(1:size(series,2)/2,corr(1,1:size(series,2)/2));
hold on;
title('select points to use');
disp('select points to use,');

v = axis;
  
  d=initdays;
  days = [];
  while d>0,
    [x,y] = ginput(1);
    days = [days round(x)];
    line([x x],[v(3) v(4)]);
    d=d-1;
    disp(['points remaining to select ' num2str(d)]);
  end;

  days = days - delay;
  keep = find(days>0);
  days = days(keep);

end;

  days = [days 1:size(initdays).*2];

   training_range = initrange(1,1) - training_window : initrange(1,1)-1;
   max_days = max(days);max_lag = max_days;
   a   = zeros(size(series,1),size(days,2));
   range = initrange(1,1) + delay + max_days : initrange(1,size(initrange,2));

   fit = zeros(size(series));

  if series(i,training_range)==zeros(1,size(training_range)) | ...
     size(range,2)<1, 
     disp('no data in training range or due to lag, no longer data ');
     disp('in testrange');
  else

% corr = autocorr1way(series(i,training_range));
% [corr,days] = sort(abs(corr(1,1:max_lag)));
% days = days(1,1:max_days);

  if size(days,2)==1,
    a(i,:) = earpyw(series(i,training_range), days, delay)'; 
  else
    a(i,:) = custom_ar(series(i,training_range), days, delay)';
  end;
   
   for p=range,
     if size(days,2)==1,
     fit(i,p)=a(i,:) * flipud(series(i, ...
                                p-delay-days: ...
                                p-delay-1)');
     else
              fit(i,p) = series(i,p-days-delay) * a(i,:)';
     end;
   end;

   figure(1);clf;
   plot(range,series(i,range),'r-');hold on;
   plot(range,fit(i,range),'c-');
   title(['timeseries ' num2str(i)]);

   display_accuracy(fit(i,range),series(i,range));
   pause

  end; % no data in training range
end;
