function status = osqlcommand(sqlcommandstr,sqlcommandfile,servername,database,username,password,hostname);
% 
% status = osqlcommand(sqlcommandstr,sqlcommandfile,servername,database,username,password,hostname);
% 
% Uses OSQL to execute a SQL command
% 

  status=0;

    delete(sqlcommandfile);    
    fid=fopen(sqlcommandfile,'w');
    fprintf(fid,'SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED\ngo\n');     
    for i=1:length(sqlcommandstr),
      fprintf(fid,'%s\n',sqlcommandstr{i});
    end;
    fclose(fid);


    % Execute these inserts
    % ---------------------
    
    %str = sprintf('! perl dbexecute.pl "%s" %s',connectstr,sqlcommandfile);
    str = sprintf('! osql -i %s -S %s -d %s ',sqlcommandfile,servername,database);
    if length(username)>0,
      str = [str sprintf(' -U "%s" ',username)];
    end;
    if length(password)>0,
      str = [str sprintf(' -P "%s" ',password)];
    end;
    if length(hostname)>0,
      str = [str sprintf(' -H "%s" ',hostname)];
    end;
    fprintf(str);
    % -e is echo
    eval(str); % Should call perl and execute the inserts    
    % With any luck this has worked

return;

